let
  sources = import ../nix/sources.nix;

  pkgs = import sources.nixpkgs { };
  lib = pkgs.lib;
in
lib.mapAttrs
  (hostname: options: {
    inherit hostname;
    target =
      if lib.hasAttr "target" options
      then options.target
      else "root@${hostname}";
  })
{
  nunotaba = { };
  sayuri = { };
  vueko = {
    target = "root@vueko.sbruder.de";
  };
  fuuko = {
    # FIXME: Since the unlock script forces IPv4 connectivity (since only that
    # can be guarenteed), I have to use an internal IP address for now. This
    # can be changed once DNS has an A record too.
    target = "root@192.168.100.61";
  };
}
